



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>如何减少UI设计师产品与前端工程师的沟通成本</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">如何减少UI设计师产品与前端工程师的沟通成本</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-10 17:24:20 </span>
						</div>
										<div class="post-content">
											
		<p>在日常工作中，UI设计师/产品与前端工程师难免会有一些冲突，这是我的一些小建议。</p>
<h3>1.如何减少时间成本</h3>
<h4>先制作UI组件，再拼接页面</h4>
<p>如果UI给前端的是一堆页面，前端需要花一些时间去整理提取UI组件。另一方面，UI设计师如果从组件的角度出发，先做组件再拼页面，既可以提高效率也可以避免UI元素在各个页面不统一的问题</p>
<h4>制作产品流程图</h4>
<p>设计产品流程图可以给前后台通用（新建一个大画布，把界面拉进画布，将按钮/链接与对应点击所进入的界面用线段链接起来），可以一目了然的明白业务需求，不用打开Axure导出的HTML一个链接一个链接的点击（偶尔还会有没加链接的情况）</p>
<h4>提取出全局的可通用的部分</h4>
<p>1、错误及提示列表 / 根据不同用户角色的错误及提示列表（订单中）</p>
<p>2、设计通用的错误页面，比如404（页面未找到）错误页面、504（服务器内部错误，可替换成更友好的提示）错误页面，用户权限错误页面</p>
<h4>在开发过程中避免需求的修改</h4>
<p>1、修改需求需要时间（尤其是修改已做好的功能），而开发时间是固定的，常常修改会压缩开发时间。压缩开发时间，就要靠加班解决</p>
<p>2、一个页面往往不是独立的，修改可能会影响多个地方。</p>
<p>3、多次的修改，容易让产品和开发产生矛盾。产品觉得开发简单，开发觉得产品傻逼</p>
<p>4、产品修改是为了能设计出好的产品，开发打代码是为了能做出好的产品，两者的目标相同，多沟通多理解但是少修改 : )</p>
<h3>2.UI在设计中容易遗漏的点</h3>
<h4>1、表单</h4>
<ul><li>数据为空的情况</li>
<li>数据不合法的情况</li>
<li>初始状态的填写提示</li></ul>
<p>填写提示需给出格式要求，复杂的表单项最好给出示例或提示（比如windows安装时在填写密钥的步骤中会给出密钥在光盘中的位置的图例提示）</p>
<ul><li>友好提示</li></ul>
<p>1、填写银行卡或者手机号码时给出分段提示，比如 187 0000 0000</p>
<p>2、密码强度的提示</p>
<p>3、自动补全，比如用户输入XXXXX，给出XXXXX@qq.com、XXXXX@126.com候选补全选项</p>
<h4>2、错误</h4>
<ul><li>错误一：表单未填写完整或填写有错误</li></ul>
<p>1、在复杂的表单中（建议三个以上），建议为填写或填写错误时不要给按钮灰显（表示不可用）。站在用户考虑用户并不知道是不可以操作还是填写错误操作不可操作。</p>
<p>2、必填的选项需用星号或者其他必填提示标明</p>
<p>3、错误提示最好在表单项失焦的时候给出，再加上初始状态填写提示及必填提示。而不是什么提示都不给，当用户点击按钮时给出一大堆错误提示（一片红色）</p>
<ul><li>错误二：接口请求失败情况</li></ul>
<p>1、可能是网络问题、用户未登录，用户权限不够的问题</p>
<p>2、接口请求一种是页面请求，一种是操作请求（ajax）。那么错误提示需要设计两种，一种页面形式，一种消息提示形式（页面中）</p>
<ul><li><p>出现错误如何提示？</p>
<p>简陋的alert(&lsquo;error&rsquo;)浏览器弹窗来提示错误对用户来说是不友好的</p>
<p>1、错误提示仅作提示，用户应无需操作（关闭、确认）（alert(&lsquo;error&rsquo;)就是个反例）</p>
<p>2、提示错误后帮助用户改正错误，比如最经典的出现密码错误是清空密码框里的内容，帮用户减少操作。另一方面，在第一时间给错误的表单项获取焦点也是一个不错的主意 : )</p></li></ul>
<h4>3、敏感操作</h4>
<ul><li>敏感操作必须用户再次确认方可操作，避免不可逆的误操作</li></ul>
<p>1、敏感操作有哪些？</p>
<p>常见的有：删除、流程状态更改等。一般来说，操作不可逆与影响流程的操作都是敏感操作。</p>
<p>2、如何提示？</p>
<p>提示可以是小的气泡框提示，也可以是一个大的模态框。根据操作的影响程度来</p>
<h4>4、交互效果</h4>
<ul><li><p>UI图是静态的，而交互的动态的</p>
<p>​ 在标注稿上备注</p></li>
<li><p>简单交互效果可使用PS中的时间轴，复杂建议用AE（动态版的PS）</p>
<p>​ 建议不要搞太复杂</p></li></ul>
<h3>3.UI和前端工程师交接需要给出的内容</h3>
<h4>1、切图</h4>
<p>UI设计师最好学一下CSS Sprite（雪碧图）的切法</p>
<h4>2、标注稿</h4>
<p>为了前端更快的开发页面 : ) 毕竟前端没有UI设计师那样对PS操作熟练</p>
<p>需要标记：尺寸（包括圆角大小）、颜色、字体及字号等</p>
<p>标注稿上可以给出一些交互说明，比如导航在页面滚动时要固定在顶部、轮播图是要渐隐还是滚动</p>
<h3>4.愿景</h3>
<ul><li>产品/UI设计师与前端工程师交接后减少不必要的沟通</li></ul>
<p>产品/UI设计师交货后，就可以休养生息了</p>
<ul><li>前端工程师能专注前端</li></ul>
<p>前端工程师电脑上需要装Axure（原型图软件）、Photoshop（切图软件，美颜哈哈）、PhpStudy（php运行环境、MySQL数据库），几乎从项目流程上的软件都要装一遍。然而以上软件都与前端没直接的关系</p>																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/4qnn1njq.html">Mac下如何查看Tomcat的版本？</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ovlypq.html">Android 偶遇小问题解决方案集合</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ovz1xq.html">Mybatis Generator生成工具配置文件详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8epx3j9.html">Delphi xe7 FireMonkey &sol; Mobile &lpar;Android&comma; iOS&rpar;生成 QR Code完整实例</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmd4dz9.html">通过uiview动画来放大图片</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k16do59.html">&lbrack;Mime&rsqb; MimeHeaders--MimeHeader帮助类 （转载）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w1kjvq.html">delphi调用webservice 转</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z17egx9.html">Word2007怎样从随意页開始设置页码 word07页码设置毕业论文</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1e0528.html">UITableView学习总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x235n9.html">UVA 10820 - Send a Table 数论 （欧拉函数）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pddg6z9.html">Directx11学习笔记【七】 游戏定时器的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kxr309.html">Linux（CentOs6&period;3）网络配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg2v3e8.html">运输问题的&plus;Leapms模型</a>
		</li>
						<li><a href="https://www.batexi.com/a/960mgzn9.html">hdu-1814&lpar;2-sat&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2wye6q.html">【暴力枚举&amp;amp&semi;BFS】Flow Free &commat;RMRC2017&sol;upcexam5124</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w6jxgq.html">一个复杂Json的解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25vwmvq.html">Intel CPU 漏洞分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/902d73mq.html">js中判断浏览器版本</a>
		</li>
						<li><a href="https://www.batexi.com/a/93pj3ez8.html">Ubuntu 16&period;04 LAMP server tutorial with Apache 2&period;4&comma; PHP 7 and MariaDB &lpar;instead of MySQL&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kok7ljq.html">Javascript能做什么 不能做什么。</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8m2d2o6q.html">JavaScript实现文字跑马灯</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1r55l08.html">Oracle如何扩展表空间</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllooy0q.html">laravel belongsTo使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7o7llg8.html">Tomcat异常及解决办法&mdash;&mdash;持续更新中</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25xmyxq.html">&lbrack;转帖&rsqb;浏览器的F5和Ctrl&plus;F5</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllo5m6q.html">Laravel5&period;5&plus; 区分前后端用户登录</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e40oyj9.html">PhpStorm 头部注释、类注释和函数注释的设置</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r541edq.html">我和我的小伙伴们都惊呆了！基于Canvas的第三方库Three&period;js</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r547peq.html">mysql参数优化记录</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2djzx9.html">Yii2常用ActiveRecord用法</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
